Name:           owncloud-csync
Version:        0.90.2
Release:        1%{?dist}
Summary:        A user level bidirectional client only file synchronizer
License:        GPLv2+
Url:            http://owncloud.org/sync-clients/
Source0:        http://download.owncloud.com/download/ocsync-%{version}.tar.bz2

BuildRequires:  check
BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  samba4-libs
BuildRequires:  iniparser-devel >= 3.1
BuildRequires:  libssh-devel
BuildRequires:  log4cpp-devel
BuildRequires:  neon-devel
BuildRequires:  sqlite-devel
BuildRequires:  openssl-devel
Obsoletes: owncloud-csync-plugin-smb < 0.70

%description
ocsync is an implementation of a file synchronizer which provides the
feature of roaming home directories for Linux clients. ocsync makes use
of libsmbclient in Samba/Windows environments.

%package libs
Summary: A user level bidirectional client only file synchronizer

%description libs
ocsync is an implementation of a file synchronizer which provides the
feature of roaming home directories for Linux clients. ocsync makes use
of libsmbclient in Samba/Windows environments.

%package plugin-sftp
Summary:        A user level bidirectional client only file synchronizer
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description plugin-sftp
ocsync is an implementation of a file synchronizer which provides the
feature of roaming home directories for clients. ocsync makes use
of libsmbclient in Samba/Windows environments.

%package plugin-owncloud
Summary:        A user level bidirectional client only file synchronizer
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description plugin-owncloud
ocsync is an implementation of a file synchronizer which provides the
feature of roaming home directories for Linux clients. ocsync makes use
of libneon to access ownCloud. 

%package devel
Summary:        Development files for ocsync
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description devel
The ocsync-devel package contains the static libraries and header
files needed for development with ocsync.

%package devel-doc
BuildArch: noarch
Summary: Developer documentation for ocsync

%description devel-doc
The ocsync-devel-doc package provides documentation for ocsync
development.

%package doc
BuildArch: noarch
Summary:        User documentation for ocsync

%description doc
The ocsync-doc package provides user documentation for ocsync.

%prep
%setup -q -n ocsync-%{version}

%build
if test ! -e "build"; then
  mkdir build
fi

pushd build
%cmake \
  -DLOG_TO_CALLBACK=ON \
  -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed" \
  -DCMAKE_BUILD_TYPE=RelWithDebInfo \
  %{_builddir}/ocsync-%{version}
make %{?_smp_mflags} %{?jobs:-j%jobs} VERBOSE=1
make doc
popd build

%install
pushd build
make DESTDIR=%{buildroot} install

mkdir -p %{buildroot}%{_docdir}/%{name}-devel/
mv %{_builddir}/ocsync-%{version}/build/doc/html %{buildroot}%{_docdir}/%{name}-devel/html
mv %{buildroot}%{_docdir}/ocsync %{buildroot}%{_docdir}/%{name}/

popd build

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%{_bindir}/ocsync
%{_mandir}/man?/ocsync.*

%files libs
%config(noreplace) %{_sysconfdir}/ocsync/ocsync.conf
%config(noreplace) %{_sysconfdir}/ocsync/ocsync_exclude.conf
%doc AUTHORS COPYING README ChangeLog
%dir %{_sysconfdir}/ocsync
%{_libdir}/libocsync.so.*
%{_libdir}/libhttpbflib.a
%dir %{_libdir}/ocsync-0


%files plugin-sftp
%{_libdir}/ocsync-0/ocsync_sftp.so

%files plugin-owncloud
%{_libdir}/ocsync-0/ocsync_owncloud.so

%files devel
%{_includedir}/ocsync
%{_libdir}/libocsync.so

%files devel-doc
%{_docdir}/%{name}-devel/html

%files doc
%{_docdir}/%{name}

%changelog
* Fri Oct 04 2013 <jmarrero@fedoraproject.org> 0.90.2-1
- Update to version 0.90.2
* Wed Sep 04 2013 <jmarrero@fedoraproject.org> 0.90.0-1
- Update to version 0.90.0
- Remove versioning from documentation documents
* Sun Aug 18 2013 <jmarrero@fedoraproject.org> 0.82.0-1
- Update to version 0.82.0
* Wed Jun 26 2013 <jmarrero@fedoraproject.org> 0.80.0-1
- Update to version 0.80.0
* Thu May 23 2013 <jmarrero@fedoraproject.org> 0.70.90-1
- Update to testing version 0.70.90
* Tue Apr 23 2013 <jmarrero@fedoraproject.org> 0.70.7-1
- Update to 0.70.7
* Thu Apr 11 2013 <jmarrero@fedoraproject.org> 0.70.6-1
- Update to 0.70.6
* Wed Apr 03 2013 <jmarrero@fedoraproject.org> 0.70.5-1
- Update to 0.70.5
* Sat Mar 02 2013 <jmarrero@fedoraproject.org> 0.70.4-1
- Update to 0.70.4
* Sat Jan 26 2013 <jmarrero@fedoraproject.org> 0.70.3-1
- Update to 0.70.3
* Sat Jan 19 2013 <jmarrero@fedoraproject.org> 0.70.1-1
- update to 0.70.1
* Fri Dec 21 2012 <jmarrero@fedoraproject.org> 0.70.0beta1-1
- update to 0.70.0beta1
* Thu Dec 20 2012 <jmarrero@fedoraproject.org> 0.60.4-2
- fix changelog dates
* Thu Dec 20 2012 <jmarrero@fedoraproject.org> 0.60.4-1
- update to 0.60.4 on f17 for mirall 1.1.4
- fix changelog
* Fri Oct 19 2012 <jmarrero@fedoraproject.org> 0.60.1-1
- Version update to 0.60.1
* Sun Oct 14 2012 <jmarrero@fedoraproject.org> 0.60.0-1
- Version bump to 0.60.0
- removed renaming patches as uptream has renamed to ocsync
- fixed all refences from occsync and csync to ocsync
* Mon Aug 20 2012 <jmarrero@fedoraproject.org> 0.50.8-9
- Removed Patch modulesCMakeLists_namechange.patch to make modules compatible with Mirall runtime.
* Sat Aug 18 2012 <jmarrero@fedoraproject.org> 0.50.8-8
- Marked as no arch doc packages
* Sat Aug 18 2012 <jmarrero@fedoraproject.org> 0.50.8-7
- Added patches to the CMakeLists to change directory and file names from csync to occsync
* Fri Aug 17 2012 <jmarrero@fedoraproject.org> 0.50.8-6
- Changed package name to owncloud-csync to stablish this is csync owncloud branch also known as dav branch
* Thu Aug 16 2012 <jmarrero@fedoraproject.org> 0.50.8-5
- Changed devel documentation directories to %%{name}-devel-%%{version}
- escape macros in changelog using %%
- remove gcc-c++ dep since is part of the minimal build environment
- add CMAKE flag dcMAKE_SHARED_LINKER_FLAGS and remove dcMAKE_SKIP_RPATH
* Wed Aug 15 2012 <jmarrero@fedoraproject.org> 0.50.8-4
- Changed documentation directories to %%{name}-%%{version} and %%{name}-devel-%%{version}
* Wed Aug 15 2012 <jmarrero@fedoraproject.org> 0.50.8-3
- Added correct version of build requirement iniparser-devel
- Fixed dates and versions on changelog
- Removed outdated %%defattr(-,root,root) macros
- Removed INSTALL file from the lib documentation (%%doc)
- Added ChangeLog file to the lib documentation (%%doc)
- Added Patch to correct fsf address on COPYING file
- Added more strict dep naming
- Changed documatation install directories
* Tue Aug 14 2012 <jmarrero@fedoraproject.org> 0.50.8-2
- Added openssl dependency version
* Sat Aug 11 2012 <jmarrero@fedoraproject.org> 0.50.8-1
- Initial try to package csync dav branch version
